Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Timed Cancel All Orders (SIGNED)

Applicable for canceling all contract orders timed

Request URL

POST https://cloud-api.wooxpro.com/contract/private/cancel-all-after

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl 
 -H 'X-BM-KEY:{{AccessKey}}'
 -H 'X-BM-TIMESTAMP:{{currentTime}}'
 -H 'X-BM-SIGN:{{SIGN}}' 
 -X POST -d '{
   "timeout":10,
   "symbol":"BTCUSDT"
}'
https://cloud-api.wooxpro.com/contract/private/cancel-all-after
FieldTypeRequired?Description
timeoutIntYesThe duration of canceling orders(second,minimum value: 5 seconds) 0:Canceling the setting
symbolStringYesSymbol of the contract(like BTCUSDT)

Response Data

If code value is 1000, it means the order cancellation is successfully submitted, cancellation results will be pushed by websocket service.
Response
{
  "code": 1000,
  "trace": "0cc6f4c4-8b8c-4253-8e90-8d3195aa109c",
  "message": "Ok",
  "data": {
    "result": true,
    "set_time": 1743064715,
    "cancel_time": 1743064725
  }
}
FieldtypeDescription
resultBoolIs the setting successful: true/false
set_timeIntSet time, timestamp
cancel_timeIntThe first time of cancel, timestamp